Rated 4 out of 5 stars

Not compatible with FF 17.0.1, it's unfortunate.

This user has other reviews of this add-on.